Since there were no comments after my request for review for the patch that makes NetBSD be Multiboot-compliant, I have commited it to the tree. This feature is enabled as a default on i386's GENERIC and GENERIC_LAPTOP kernels; for others, you need to add options MULTIBOOT to their configuration file.

Please note that regular GRUB builds will not boot these new kernels properly. This is because of a bug in GRUB Legacy. You either need to install grub-0.97nb4 from pkgsrc or manually apply this patch to the GRUB sources.

See multiboot(8) for more information.

Edit (Feb 6th, 21:06): Some typos fixed based on comments from Reinhard von der Lippe. Does anyone remember seeing this happening (the post update) a couple of days ago? If you use an aggregator, you should have seen an update to the post that looked very similar to this. (More details on the comments.)

Go to posts index

Comments from the original Blogger-hosted post: